# A simple mod for online player time and server status
[中文简体](https://git.branulf.top/Branulf/ServerPlayerOnlineTracker/src/branch/master/README.md)

### Includes functions:
* Display /Record server online player time
* Display server status
* Show the server online player list
* ~~Remove Herobrine in the game~~

### How to use:
1. Install Fabric Loader and Fabric API
2. Put the latest version of mods into the mods folder
3. Automatically generate configuration files when starting the server for the first time
4. Modify the web server port (default 60048), language (currently only supports zh_cn and en_us), automatic save time (default 300 seconds)

### API to get data:
*(Maybe it can be used for robots?)*
* Get the online player list of servers: [Server IP+configured port] +`/api/online-players`
* Get server status: [Server IP+configured port] +`/api/server-status`
* Get the server online player time: [Server IP+configured port] +`/api/stats`
* Get the number of online players on the server: [Server IP+configured port] +`/api/player-count`
* ~~Raw data file: [Server IP+configured port] +`/api/playerdata`~~